> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /items

> List items in a folder or retrieve a specific item.

## List Items in a Folder

```
GET /v1/folders/{folderId}/items
```

### Request

```bash theme={null}
curl -X GET "http://client-omni-api.argosidentity.com/v1/folders/{folderId}/items?type=file&sort=createdAt&order=desc" \
  -H "x-api-key: your-api-key-here"
```

### Query Parameters

| Parameter | Type   | Default     | Description                                 |
| --------- | ------ | ----------- | ------------------------------------------- |
| `type`    | string |             | Filter by item type: `file`, `text`, `json` |
| `search`  | string |             | Search by item name                         |
| `sort`    | string | `createdAt` | Sort field: `name`, `type`, `createdAt`     |
| `order`   | string | `desc`      | Sort order: `asc`, `desc`                   |

### Response

```json theme={null}
{
  "count": 2,
  "items": [
    {
      "id": "item_abc123",
      "folderId": "fld_default001",
      "type": "file",
      "name": "business_registration.pdf",
      "content": null,
      "contentType": "application/pdf",
      "sizeBytes": 245678,
      "url": "https://omni-kb-documents.s3.us-east-1.amazonaws.com/.../extracted.txt",
      "detected": {
        "contentType": "application/pdf",
        "extension": "pdf",
        "fileCategory": "document"
      },
      "metadata": {
        "documentType": "business_registration"
      },
      "status": "ACTIVE",
      "processedAt": "2026-03-15T10:10:05Z",
      "createdAt": "2026-03-15T10:10:00Z",
      "rag": "사업자등록증\n상호: 주식회사 아크미..."
    }
  ]
}
```

<ResponseField name="items[].contentType" type="string | null">
  MIME type (file items only)
</ResponseField>

<ResponseField name="items[].sizeBytes" type="number | null">
  File size in bytes (file items only)
</ResponseField>

<ResponseField name="items[].url" type="string | null">
  URL to extracted text (for search/RAG)
</ResponseField>

<ResponseField name="items[].detected" type="object | null">
  Auto-detected file info: `contentType`, `extension`, `fileCategory`
</ResponseField>

<ResponseField name="items[].rag" type="string | null">
  OCR-extracted and refined text (`null` while processing)
</ResponseField>

***

## Get Item by ID

```
GET /v1/items/{itemId}
```

```bash theme={null}
curl -X GET "http://client-omni-api.argosidentity.com/v1/items/{itemId}" \
  -H "x-api-key: your-api-key-here"
```

```json theme={null}
{
  "id": "item_abc123",
  "folderId": "fld_default001",
  "type": "file",
  "name": "business_registration.pdf",
  "content": null,
  "contentType": "application/pdf",
  "sizeBytes": 245678,
  "url": "https://omni-kb-documents.s3.us-east-1.amazonaws.com/.../extracted.txt",
  "detected": {
    "contentType": "application/pdf",
    "extension": "pdf",
    "fileCategory": "document"
  },
  "metadata": {
    "documentType": "business_registration"
  },
  "status": "ACTIVE",
  "processedAt": "2026-03-15T10:10:05Z",
  "folder": {
    "id": "fld_default001",
    "name": "default"
  },
  "createdAt": "2026-03-15T10:10:00Z",
  "rag": "사업자등록증\n상호: 주식회사 아크미..."
}
```

<Note>
  The `folder` object is only included in the item detail response, not in the list response.
</Note>

### Error Codes

| Status | Code             | Description    |
| ------ | ---------------- | -------------- |
| 404    | `ITEM_NOT_FOUND` | Item not found |
